=== test/CMakeLists.txt ===
find_package(rostest REQUIRED)

add_rostest(functional/interfaces_test.launch)
