=== debian/changelog ===
ros-indigo-stdr-server (0.3.2-0trusty) trusty; urgency=high

  * Fix cmakes, no more cmake warnings

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-stdr-server (0.3.1-0trusty) trusty; urgency=high

  * Add forgotten dependency on visualization_msgs

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-stdr-server (0.3.0-0trusty) trusty; urgency=high

  * Add an interfaces test, as a functional test using rostest
  * Fix synchronization bug on new robot registration
  * Migrate to package format 2
  * Visualization for custom sources using Marker messages (#184 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/pull/184>)
  * Remove unnecessary image_loader library in cmake
  * Add forgotten run dependency to map_server (#172 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/172>)
  * Remove leading slash from frame_id

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-stdr-server (0.2.0-0trusty) trusty; urgency=high

  * Feedback added in case of double frame ids
  * Fixes #148 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/148>
  * Fix return values for service callbacks in stdr_server
  * Server support for co2, sound, thermal sources
  * Deletion of RFID tags supported
  * Added rfid_tag insertion support for server

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-indigo-stdr-server (0.1.3-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-indigo-stdr-server (0.1.2-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-indigo-stdr-server (0.1.1-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-indigo-stdr-server (0.1.0-0trusty) trusty; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000
