=== debian/control ===
Source: ros-indigo-stdr-server
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-map-server, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-stdr-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-indigo-stdr-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-map-server, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-stdr-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: Implements synchronization and coordination functionalities of STDR Simulator.
